<?php
function get_tapestry_style() {
  $style = theme_get_setting('tapestry_style');
  if (!$style) {
    $style = 'gerberdaisy';
  }
  if (isset($_COOKIE["tapestrystyle"])) {
    $style = $_COOKIE["tapestrystyle"];
  }
  return $style;
}

drupal_add_css(path_to_theme() . '/style.css');
drupal_add_css(path_to_theme() . '/css/' . get_tapestry_style() . '.css');
drupal_add_css(path_to_theme() . '/css/suckerfish.css');

if (theme_get_setting('tapestry_iepngfix')) {
   drupal_add_js(path_to_theme() . '/js/jquery.pngFix.js');
}

if (theme_get_setting('tapestry_uselocalcontent')) {
//   $local_content = path_to_theme() . '/' . theme_get_setting('tapestry_localcontentfile');
   $local_content = theme_get_setting('tapestry_localcontentfile');
   if (file_exists($local_content)) {
      drupal_add_css($local_content);
   }
}

function tapestry_breadcrumb($variables) {
$breadcrumb = $variables['breadcrumb'];
if (!empty($breadcrumb)) {
    $styled_breadcrumb = '/images/' . get_tapestry_style() . '/bullet-breadcrumb.png';
    $output = '<div class="breadcrumb">';
  $count = count($breadcrumb);
  $i = 1;
  foreach ($breadcrumb as $crumb) {
    $output .= $crumb;
    $i++;
    if ($i <= $count) {	
      $bullet = base_path() . path_to_theme() . $styled_breadcrumb;
      $output .= ' <image src="' . $bullet . '" /> ';
    }
  }
  $output .= '</div>';
    return $output;
  }
}

function tapestry_menu_link($variables) {
  $element = $variables['element'];  
  $sub_menu = '';  
  $name_id = 'item-'. strtolower(str_replace(' ', '_', strip_tags($element['#title'])));
  $element['#attributes']['class'][] = 'menu-' . $element['#original_link']['mlid'] . ' '.$name_id;  
  if ($element['#below']) {    $sub_menu = drupal_render($element['#below']);  }  
  $output = l($element['#title'], $element['#href'], $element['#localized_options']);  
  return '<li' . drupal_attributes($element['#attributes']) . '>' . $output . $sub_menu . "</li>\n";
}

function tapestry_preprocess_block(&$variables) {
  // In the header region visually hide block titles.
  if ($variables['block']->region == 'suckerfish') {
    $variables['title_attributes_array']['class'][] = 'element-invisible';
  }
  if ($variables['block']->region == 'header') {
    $variables['title_attributes_array']['class'][] = 'element-invisible';
  }
    $variables['title_attributes_array']['class'][] = 'title';
}